# Class FileMapCache

Class FileMapCache

Declaration :

- C++ : class FileMapCache

Relation <association>

Declaration :

- Uml : # : Frame
- C++ : protected: Frame *

Relation checked_in (<directional aggregation by value>)

Declaration :

- Uml : # checked_in : FileMap, multiplicity : *
- C++ : protected: FileMap checked_in

checked_in objects are subject of cache aging and must be not in use

Relation checked_out (<directional aggregation by value>)

Declaration :

- Uml : # checked_out : FileMap, multiplicity : *
- C++ : protected: list<FileMap> checked_out

this list keeps all mappings which are in use, and thus prevents them from Cache aging